<template>
  <div class="content-section row">
    <div class="col col-12 col-lg-5 user-wrap mb-4 mb-lg-0">
      <div class="row py-2 py-lg-4 h-100 w-100 m-0">
        <div class="col col-3 col-lg-5 px-3 px-lg-0 ps-lg-3 d-flex justify-content-center align-items-center wrap-img">
          <div class="w-100 position-relative" style="padding-top: 100%;">
            <img
              v-if="profile.avatar"
              :src="profile.avatar"
              alt="avatar"
              class="avatar w-100 rounded-circle position-absolute top-0 start-0"
              style="height: 100%; object-fit: cover;"
            />
            <img
              v-else
              src="@/assets/img/logo_bsb@2x.png"
              alt="avatar"
              class="avatar w-100 rounded-circle position-absolute top-0 start-0"
              style="height: 100%; object-fit: cover;"
            />
          </div>
        </div>
        <div class="col col-9 col-lg-7 d-flex flex-column justify-content-center">
          <p class="fw-bold text-light mb-0 mt-2 text-left">User name:</p>
          <p class="text-light text-left skiptranslate">{{ profile.name }}</p>
        </div>
      </div>
    </div>
    <div class="col col-12 col-lg-7 trade-wrap">
      <div class="row h-100 w-100 m-0">
        <div class="col d-flex flex-column justify-content-center">
          <div class="row border-bottom py-2 py-lg-3">
            <div class="col col-12">
              <div class="row align-items-center">
                <div class="col col-2 pe-0"><img class="w-75" src="@/assets/img/bitcoin-icon.png" /></div>
                <div class="col col-10">
                  <p class="fw-bold mb-0 skiptranslate">Bitcoin</p>
                  <p class="mb-0">{{ parseFloat(profile.balanceAvailable).toFixed(8) }} BTC</p>
                  <p class="mb-0">{{ profile.balanceAvailable | btcToUsd }} USD</p>
                </div>
              </div>
            </div>
            <!-- <div class="col col-4 ms-auto d-flex flex-column justify-content-center">
              <button class="btn btn-danger rounded-pill w-100 p-0 py-lg-1">Trade</button>
            </div> -->
          </div>
          <div class="row py-2 py-lg-3">
            <div class="col col-12">
              <div class="row align-items-center">
                <div class="col col-2 pe-0"><img class="w-75" src="@/assets/img/bsbt-icon.png" /></div>
                <div class="col col-10">
                  <p class="fw-bold mb-0">BSBT</p>
                  <p class="mb-0">{{ parseFloat(profile.bsbtBalance).toFixed(8) }} BSBT</p>
                  <p class="mb-0">{{ parseFloat(profile.bsbtBalance) | bsbtToUsd }} USD</p>
                </div>
              </div>
            </div>
            <!-- <div class="col col-4 ms-auto d-flex flex-column justify-content-center">
              <button class="btn btn-danger rounded-pill w-100 p-0 py-lg-1">Trade</button>
            </div> -->
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {} from "../services/baseApi";

export default {
  props: {
    profile: Object
  },
  methods: {}
};
</script>

<style scoped>
.content-section > .row {
  width: 100%;
  margin-left: 0;
}
.content-section .user-wrap .row {
  background: #d7827d;
  border-radius: 24px;
}
.content-section .user-wrap p {
  font-size: 22px;
}
.content-section .trade-wrap > .row {
  border-radius: 24px;
  background: #f4f4f4;
  box-shadow: 4px 4px 5px #c4c4c4;
}
</style>
